Package uk.ac.starlink.table.join

## Interface SkyPixellator

- All Known Implementing Classes:
    `CdsHealpixSkyPixellator`, `HealpixSkyPixellator`, `HtmSkyPixellator`

      public interface SkyPixellator

  Provides a pixellisation of the celestial sphere. Usually it is necessary to call `setScale(double)` before an instance of this class can be used.
  Since:
    5 Sep 2011
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object[]` | `getPixels​(double alpha, double delta, double radius)` | Returns an array of objects representing pixels in a given region.
    `double` | `getScale()` | Returns the most recently set angular scale.
    `uk.ac.starlink.table.DescribedValue` | `getTuningParameter()` | Returns a parameter whose value may be adjusted to alter the pixellisation scale.
    `void` | `setScale​(double scale)` | Sets the characteristic angular scale for this pixellator.

- - ### Method Detail

    - #### setScale

          void setScale​(double scale)

      Sets the characteristic angular scale for this pixellator. Pixels should be approximately the size given, so that a larger scale corresponds to larger pixel sizes. The details of pixel size are determined by the details of the pixellation scheme however.
      Parameters:
        `scale` - pixel length scale in radians

    - #### getScale

          double getScale()

      Returns the most recently set angular scale.
      Returns:
        pixel length scale in radians

    - #### getPixels

          java.lang.Object[] getPixels​(double alpha,
                                       double delta,
                                       double radius)

      Returns an array of objects representing pixels in a given region. The parameters specify a small circle on the sphere; any pixels which overlap this circle must be returned (additional pixels may also be returned). The output objects are of some opaque type, but must implement the `equals` and `hashCode` methods appropriately, so that objects returned from one call can be compared for identity with objects returned from a subsequent call. This comparability is only guaranteed to work if the pixel scale is not changed in between calls.
      Parameters:
        `alpha` - right ascension of circle centre in radians
        `delta` - declination of circle centre in radians
        `radius` - radius of circle in radians
      Returns:
        array of opaque but comparable pixel objects

    - #### getTuningParameter

          uk.ac.starlink.table.DescribedValue getTuningParameter()

      Returns a parameter whose value may be adjusted to alter the pixellisation scale. This is not necessarily the same as the scale attribute (its value need not be an angle).
      Returns:
        tuning parameter